aboutsummaryrefslogtreecommitdiffstats
path: root/ppp
diff options
context:
space:
mode:
authorLukas Nykryn <lnykryn@redhat.com>2014-04-15 15:19:10 +0200
committerLukas Nykryn <lnykryn@redhat.com>2014-04-24 13:39:17 +0200
commit50742d10d095d9d86750e6ae7f97076985145ff0 (patch)
treecee2fd4336d7b6ff67145afda6f06805d1ca94c2 /ppp
parent32e8cbc1c91ada764ef4b5bb817b0c045d3fb3a4 (diff)
downloadinitscripts-50742d10d095d9d86750e6ae7f97076985145ff0.tar
initscripts-50742d10d095d9d86750e6ae7f97076985145ff0.tar.gz
initscripts-50742d10d095d9d86750e6ae7f97076985145ff0.tar.bz2
initscripts-50742d10d095d9d86750e6ae7f97076985145ff0.tar.xz
initscripts-50742d10d095d9d86750e6ae7f97076985145ff0.zip
move ppp support to ppp package
Diffstat (limited to 'ppp')
-rw-r--r--ppp/ip-down18
-rw-r--r--ppp/ip-down.ipv6to4114
-rw-r--r--ppp/ip-up17
-rw-r--r--ppp/ip-up.ipv6to4193
-rw-r--r--ppp/ipv6-down70
-rw-r--r--ppp/ipv6-up112
6 files changed, 0 insertions, 524 deletions
diff --git a/ppp/ip-down b/ppp/ip-down
deleted file mode 100644
index bfb08711..00000000
--- a/ppp/ip-down
+++ /dev/null
@@ -1,18 +0,0 @@
-#!/bin/bash
-# This file should not be modified -- make local changes to
-# /etc/ppp/ip-down.local instead
-
-PATH=/sbin:/usr/sbin:/bin:/usr/bin
-export PATH
-
-LOGDEVICE=$6
-REALDEVICE=$1
-
-/etc/ppp/ip-down.ipv6to4 ${LOGDEVICE}
-
-[ -x /etc/ppp/ip-down.local ] && /etc/ppp/ip-down.local "$@"
-
-/etc/sysconfig/network-scripts/ifdown-post --realdevice ${REALDEVICE} \
- ifcfg-${LOGDEVICE}
-
-exit 0
diff --git a/ppp/ip-down.ipv6to4 b/ppp/ip-down.ipv6to4
deleted file mode 100644
index 29f1c646..00000000
--- a/ppp/ip-down.ipv6to4
+++ /dev/null
@@ -1,114 +0,0 @@
-#!/bin/sh
-#
-# ip-down.ipv6to4
-#
-#
-# Taken from:
-# (P) & (C) 2000-2005 by Peter Bieringer <pb@bieringer.de>
-#
-# You will find more information on the initscripts-ipv6 homepage at
-# http://www.deepspace6.net/projects/initscripts-ipv6.html
-#
-# Version 2005-09-22
-#
-# Calling parameters:
-# $1: interface name
-#
-# Called (mostly) by /etc/ppp/ip-down.local
-# like: /etc/ppp/ip-down.ipv6to4 $1 >>/var/log/ppp-ipv6to4.log 2>&1
-#
-# Note: this script will *check* whether the existing 6to4 tunnel
-# was set before by using "ip-up.ipv6to4" comparing IPv4 address
-# of device with the generated 6to4 prefix
-#
-# Uses following information from /etc/sysconfig/network-scripts/ifcfg-$1:
-# IPV6TO4INIT=yes|no: controls configuration
-# IPV6TO4_ROUTING="<device>-<suffix>/<prefix length> ...": information to setup additional interfaces
-#
-# IPV6_CONTROL_RADVD=yes|no: controls radvd triggering
-# IPV6_RADVD_PIDFILE=<file>: PID file of radvd for sending signals, default is "/var/run/radvd/radvd.pid"
-# IPV6_RADVD_TRIGGER_ACTION=startstop|reload|restart|SIGHUP: how to trigger radvd (optional, default is SIGHUP)
-#
-
-
-if [ -z "$1" ]; then
- echo $"Argument 1 is empty but should contain interface name - skip IPv6to4 initialization"
- exit 1
-fi
-
-# Get global network configuration
-. /etc/sysconfig/network
-
-# Source IPv4 helper functions
-cd /etc/sysconfig/network-scripts
-. ./network-functions
-
-CONFIG=$1
-[ -f "$CONFIG" ] || CONFIG=ifcfg-$CONFIG
-source_config
-
-# IPv6 don't need aliases anymore, config is skipped
-REALDEVICE=${DEVICE%%:*}
-[ "$DEVICE" != "$REALDEVICE" ] && exit 0
-
-if [ ! -f /etc/sysconfig/network-scripts/network-functions-ipv6 ]; then
- exit 1
-fi
-
-. /etc/sysconfig/network-scripts/network-functions-ipv6
-
-
-# Run basic IPv6 test, if not ok, skip IPv6 initialization
-ipv6_test testonly || exit 0
-
-# Test status of ppp device
-ipv6_test_device_status $DEVICE
-if [ $? != 0 -a $? != 11 ]; then
- # device doesn't exist or other problem occurs
- exit 1
-fi
-
-# Test status of tun6to4 device
-ipv6_test_device_status tun6to4
-if [ $? = 0 -o $? = 11 ]; then
- # Device exists
- valid6to4config="yes"
-
- # Get IPv4 address from interface
- ipv4addr="$(ipv6_get_ipv4addr_of_device $DEVICE)"
- if [ -z "$ipv4addr" ]; then
- # Has no IPv4 address
- valid6to4config="no"
- fi
-
- # Get local IPv4 address of dedicated tunnel
- ipv4addr6to4local="$(ipv6_get_ipv4addr_of_tunnel tun6to4 local)"
-
- # IPv6to4 not enabled on this interface?
- if [ $IPV6TO4INIT != "yes" ]; then
- # Check against configured 6to4 tunnel to see if this interface was regardless used before
- if [ "$ipv4addr" != "$ipv4addr6to4local" ]; then
- # IPv4 address of interface does't match local tunnel address, interface was not used for current 6to4 setup
- valid6to4config="no"
- fi
- fi
-
-fi
-
-if [ "$valid6to4config" = "yes" ]; then
- if [ "$IPV6_CONTROL_RADVD" = "yes" ]; then
- # Control running radvd
- ipv6_trigger_radvd down "$IPV6_RADVD_TRIGGER_ACTION" $IPV6_RADVD_PIDFILE
- fi
-
- if [ -n "$IPV6TO4_ROUTING" ]; then
- # Delete routes to local networks
- for devsuf in $IPV6TO4_ROUTING; do
- dev="${devsuf%%-*}"
- ipv6_cleanup_6to4_device $dev
- done
- fi
-
- # Delete all configured 6to4 address
- ipv6_cleanup_6to4_tunnels tun6to4
-fi
diff --git a/ppp/ip-up b/ppp/ip-up
deleted file mode 100644
index e610674d..00000000
--- a/ppp/ip-up
+++ /dev/null
@@ -1,17 +0,0 @@
-#!/bin/bash
-# This file should not be modified -- make local changes to
-# /etc/ppp/ip-up.local instead
-
-PATH=/sbin:/usr/sbin:/bin:/usr/bin
-export PATH
-
-LOGDEVICE=$6
-REALDEVICE=$1
-
-[ -f /etc/sysconfig/network-scripts/ifcfg-${LOGDEVICE} ] && /etc/sysconfig/network-scripts/ifup-post --realdevice ${REALDEVICE} ifcfg-${LOGDEVICE}
-
-/etc/ppp/ip-up.ipv6to4 ${LOGDEVICE}
-
-[ -x /etc/ppp/ip-up.local ] && /etc/ppp/ip-up.local "$@"
-
-exit 0
diff --git a/ppp/ip-up.ipv6to4 b/ppp/ip-up.ipv6to4
deleted file mode 100644
index 6a85bbb3..00000000
--- a/ppp/ip-up.ipv6to4
+++ /dev/null
@@ -1,193 +0,0 @@
-#!/bin/sh
-#
-# ip-up.ipv6to4
-#
-#
-# Taken from:
-# (P) & (C) 2000-2005 by Peter Bieringer <pb@bieringer.de>
-#
-# You will find more information on the initscripts-ipv6 homepage at
-# http://www.deepspace6.net/projects/initscripts-ipv6.html
-#
-# Version: 2005-09-22
-#
-# Calling parameters:
-# $1: interface name
-#
-# Called (mostly) by /etc/ppp/ip-up.local
-# like: /etc/ppp/ip-up.ipv6to4 $1 >>/var/log/ppp-ipv6to4.log 2>&1
-#
-# Note: this script will *kill* older still existing 6to4 tunnels regardless
-# whether they were set before by another device
-#
-# Uses following information from /etc/sysconfig/network-scripts/ifcfg-$1:
-# IPV6TO4INIT=yes|no: controls configuration
-# IPV6TO4_IPV4ADDR=<IPv4 address>: special local address for 6to4 tunneling (only needed behind a NAT gateway)
-# IPV6TO4_RELAY=<IPv4 address>: remote 6to4 relay router address (default: 192.88.99.1)
-# IPV6TO4_MTU=<MTU for IPv6>: controls IPv6 MTU for the 6to4 link (optional, default is MTU of interface - 20)
-# IPV6TO4_ROUTING="<device>-<suffix>/<prefix length> ...": information to setup additional interfaces
-# Example: IPV6TO4_ROUTING="eth0-:f101::1/64 eth1-:f102::1/64"
-#
-# IPV6_CONTROL_RADVD=yes|no: controls radvd triggering
-# IPV6_RADVD_PIDFILE=<file>: PID file of radvd for sending signals, default is "/var/run/radvd/radvd.pid"
-# IPV6_RADVD_TRIGGER_ACTION=startstop|reload|restart|SIGHUP: how to trigger radvd (optional, default is SIGHUP)
-#
-# Requirements
-# radvd-0.6.2p3 or newer supporting option "Base6to4Interface"
-#
-
-
-if [ -z "$1" ]; then
- echo $"Argument 1 is empty but should contain interface name - skip IPv6to4 initialization"
- exit 1
-fi
-
-# Get global network configuration
-. /etc/sysconfig/network
-
-# Source IPv4 helper functions
-cd /etc/sysconfig/network-scripts
-. ./network-functions
-
-CONFIG=$1
-[ -f "$CONFIG" ] || CONFIG=ifcfg-$CONFIG
-source_config
-
-# IPv6 don't need aliases anymore, config is skipped
-REALDEVICE=${DEVICE%%:*}
-[ "$DEVICE" != "$REALDEVICE" ] && exit 0
-
-if [ ! -f /etc/sysconfig/network-scripts/network-functions-ipv6 ]; then
- exit 1
-fi
-
-. /etc/sysconfig/network-scripts/network-functions-ipv6
-
-
-# Run basic IPv6 test (and make sure the ipv6 module will be loaded), if not ok, skip IPv6 initialization
-ipv6_test || exit 1
-
-# Setup of 6to4, if configured
-valid6to4config="yes"
-if [ "$IPV6TO4INIT" = "yes" ]; then
- if [ -n "$IPV6TO4_IPV4ADDR" ]; then
- # Take 6to4-dedicated configured IPv4 address from config file (precedence 1)
- ipv4addr="$IPV6TO4_IPV4ADDR"
- else
- # Get IPv4 address from interface (precedence 2)
- ipv4addr="$(ipv6_get_ipv4addr_of_device $DEVICE)"
- if [ -z "$ipv4addr" ]; then
- # Take configured IPv4 address of interface from config file (precedence 3)
- ipv4addr="$IPADDR"
- fi
- fi
- if [ -n "$ipv4addr" ]; then
- # Test for non-global IPv4 address
- if ! ipv6_test_ipv4_addr_global_usable $ipv4addr; then
- net_log $"Given IPv4 address '$ipv4addr' is not globally usable" info
- valid6to4config="no"
- fi
- else
- net_log $"IPv6to4 configuration needs an IPv4 address on related interface or otherwise specified" info
- valid6to4config="no"
- fi
- if [ -z "$IPV6TO4_RELAY" ]; then
- IPV6TO4_RELAY="192.88.99.1"
- fi
-
- # Check/generate relay address
- ipv6to4_relay="$(ipv6_create_6to4_relay_address $IPV6TO4_RELAY)"
- if [ $? -ne 0 ]; then
- valid6to4config="no"
- fi
-
- if [ "$valid6to4config" = "yes" ]; then
- # Delete routes to local networks
- for devsuf in $IPV6TO4_ROUTING; do
- dev="${devsuf%%-*}"
- ipv6_cleanup_6to4_device $dev
- done
-
- # Cleanup all old data (needed, if "ip-down.ipv6to4" wasn't executed), delete all configured 6to4 address
- ipv6_cleanup_6to4_tunnels tun6to4
-
- # Get MTU of master device
- ipv4mtu="$(/sbin/ip link show dev $DEVICE | awk '/\<mtu\>/ { print $5 }')"
- if [ -n "$ipv4mtu" ]; then
- # IPv6 tunnel MTU is IPv4 MTU minus 20 for IPv4 header
- tunnelmtu=$[ $ipv4mtu - 20 ]
- fi
-
- if [ -n "$IPV6TO4_MTU" ]; then
- if [ $IPV6TO4_MTU -gt $tunnelmtu ]; then
- net_log $"Warning: configured MTU '$IPV6TO4_MTU' for 6to4 exceeds maximum limit of '$tunnelmtu', ignored" warning
- else
- tunnelmtu=$IPV6TO4_MTU
- fi
- fi
-
- # Setup new data
- ipv6_add_6to4_tunnel tun6to4 $ipv4addr "" $tunnelmtu || exit 1
-
- # Add route to for compatible addresses (removed later again)
- ipv6_add_route "::/96" "::" tun6to4
-
- # Add default route, if device matches
- if [ "$IPV6_DEFAULTDEV" = "tun6to4" ]; then
- if [ -n "$IPV6_DEFAULTGW" ]; then
- net_log $"Warning: interface 'tun6to4' does not support 'IPV6_DEFAULTGW', ignored" warning
- fi
- ipv6_set_default_route $ipv6to4_relay tun6to4
- fi
-
- # Add static routes
- if [ -f /etc/sysconfig/static-routes-ipv6 ]; then
- LC_ALL=C grep -w "^tun6to4" /etc/sysconfig/static-routes-ipv6 | while read device network gateway; do
- if [ -z "$network" ]; then
- continue
- fi
- if [ -z "$gateway" ]; then
- gateway="$ipv6to4_relay"
- fi
- ipv6_add_route $network $gateway tun6to4
- done
- fi
-
- # Setup additional static IPv6 routes (newer config style)
- if [ -f "/etc/sysconfig/network-scripts/route6-tun6to4" ]; then
- sed -ne 's/#.*//' -e '/[^[:space:]]/p' /etc/sysconfig/network-scripts/route6-tun6to4 | while read line; do
- if echo "$line" | grep -vq 'via'; then
- # Add gateway if missing
- line="$line via $ipv6to4_relay"
- fi
- /sbin/ip -6 route add $line
- done
- fi
-
- # Cleanup autmatically generated autotunnel (not needed for 6to4)
- /sbin/ip -6 route del ::/96 dev tun6to4
- /sbin/ip -6 addr del tun6to4 "::$ipv4addr/128" dev tun6to4
-
- if [ "$IPV6_CONTROL_RADVD" = "yes" ]; then
- # Control running radvd
- ipv6_trigger_radvd up "$IPV6_RADVD_TRIGGER_ACTION" $IPV6_RADVD_PIDFILE
-
- if [ -n "$IPV6TO4_ROUTING" ]; then
- # Generate 6to4 address
- ipv6to4prefix="$(ipv6_create_6to4_prefix $ipv4addr)"
- if [ -n "$ipv6to4prefix" ]; then
- # Add IPv6 address to interface (required interface route will be set automatically)
- for devsuf in $IPV6TO4_ROUTING; do
- dev="${devsuf%%-*}"
- suf="$(echo $devsuf | awk -F- '{ print $2 }')"
- ipv6_add_addr_on_device ${dev} ${ipv6to4prefix}${suf}
- done
- else
- net_log $"Error occurred while calculating the IPv6to4 prefix"
- fi
- else
- net_log $"radvd control enabled, but config is not complete"
- fi
- fi
- fi
-fi
diff --git a/ppp/ipv6-down b/ppp/ipv6-down
deleted file mode 100644
index b290585a..00000000
--- a/ppp/ipv6-down
+++ /dev/null
@@ -1,70 +0,0 @@
-#!/bin/sh
-#
-# ipv6-down
-#
-# Called by pppd after IPV6CP/down was finished
-#
-# This file should not be modified -- make local changes to
-# /etc/ppp/ipv6-down.local instead
-#
-#
-# Taken from:
-# (P) & (C) 2001-2006 by Peter Bieringer <pb@bieringer.de>
-#
-# You will find more information on the initscripts-ipv6 homepage at
-# http://www.deepspace6.net/projects/initscripts-ipv6.html
-#
-# RHL integration assistance by Pekka Savola <pekkas@netcore.fi>
-#
-# Calling parameters:
-# $1: interface name
-# $6: logical interface name (set by pppd option ipparam)
-#
-# Version 2006-08-02
-#
-# Uses following information from /etc/sysconfig/network-scripts/ifcfg-$1:
-# IPV6INIT=yes|no: controls IPv6 configuration for this interface
-#
-
-
-PATH=/sbin:/usr/sbin:/bin:/usr/bin
-export PATH
-
-LOGDEVICE=$6
-REALDEVICE=$1
-
-[ -f /etc/sysconfig/network ] || exit 0
-. /etc/sysconfig/network
-
-cd /etc/sysconfig/network-scripts
-. ./network-functions
-
-CONFIG=$LOGDEVICE
-[ -f "$CONFIG" ] || CONFIG=ifcfg-$CONFIG
-source_config
-
-[ -f /etc/sysconfig/network-scripts/network-functions-ipv6 ] || exit 1
-. /etc/sysconfig/network-scripts/network-functions-ipv6
-
-[ -x /etc/ppp/ipv6-down.local ] && /etc/ppp/ipv6-down.local "$@"
-
-
-if [ "$IPV6_CONTROL_RADVD" = "yes" ]; then
- # Control running radvd
- ipv6_trigger_radvd down "$IPV6_RADVD_TRIGGER_ACTION" $IPV6_RADVD_PIDFILE
-fi
-
-# IPv6 test, no module loaded, exit if system is not IPv6-ready
-ipv6_test testonly || exit 0
-
-# Test device status
-ipv6_test_device_status $REALDEVICE
-if [ $? != 0 -a $? != 11 ]; then
- # device doesn't exist or other problem occurs
- exit 1
-fi
-
-# Delete all current configured IPv6 addresses on this interface
-ipv6_cleanup_device $REALDEVICE
-
-exit 0
diff --git a/ppp/ipv6-up b/ppp/ipv6-up
deleted file mode 100644
index 059afec6..00000000
--- a/ppp/ipv6-up
+++ /dev/null
@@ -1,112 +0,0 @@
-#!/bin/bash
-#
-# ipv6-up
-#
-# Called by pppd after IPV6CP/up was finished
-#
-# This file should not be modified -- make local changes to
-# /etc/ppp/ipv6-up.local instead
-#
-# Taken from:
-# (P) & (C) 2001-2006 by Peter Bieringer <pb@bieringer.de>
-#
-# You will find more information on the initscripts-ipv6 homepage at
-# http://www.deepspace6.net/projects/initscripts-ipv6.html
-#
-# RHL integration assistance by Pekka Savola <pekkas@netcore.fi>
-#
-# Calling parameters:
-# $1: interface name
-# $6: logical interface name (set by pppd option ipparam)
-#
-#
-# Version: 2006-08-02
-#
-# Uses following information from "/etc/sysconfig/network":
-# IPV6_DEFAULTDEV=<device>: controls default route (optional)
-#
-# Uses following information from "/etc/sysconfig/network-scripts/ifcfg-$1":
-# IPV6INIT=yes|no: controls IPv6 configuration for this interface
-# IPV6ADDR=<IPv6 address>[/<prefix length>]: specify primary static IPv6 address
-# IPV6ADDR_SECONDARIES="<IPv6 address>[/<prefix length>] ..." (optional)
-# IPV6_MTU=<MTU for IPv6>: controls IPv6 MTU for this link (optional)
-#
-
-
-PATH=/sbin:/usr/sbin:/bin:/usr/bin
-export PATH
-
-LOGDEVICE=$6
-REALDEVICE=$1
-
-[ -f /etc/sysconfig/network ] || exit 0
-. /etc/sysconfig/network
-
-cd /etc/sysconfig/network-scripts
-. ./network-functions
-. ./network-functions-ipv6
-
-CONFIG=$LOGDEVICE
-[ -f "$CONFIG" ] || CONFIG=ifcfg-$CONFIG
-source_config
-
-# Test whether IPv6 configuration is disabled for this interface
-[[ "$IPV6INIT" = [nN0]* ]] && exit 0
-
-[ -f /etc/sysconfig/network-scripts/network-functions-ipv6 ] || exit 1
-. /etc/sysconfig/network-scripts/network-functions-ipv6
-
-# IPv6 test, module loaded, exit if system is not IPv6-ready
-ipv6_test || exit 1
-
-# Test device status
-ipv6_test_device_status $REALDEVICE
-if [ $? != 0 -a $? != 11 ]; then
- # device doesn't exist or other problem occurs
- exit 1
-fi
-
-# Setup IPv6 address on specified interface
-if [ -n "$IPV6ADDR" ]; then
- ipv6_add_addr_on_device $REALDEVICE $IPV6ADDR || exit 1
-fi
-
-# Set IPv6 MTU, if given
-if [ -n "$IPV6_MTU" ]; then
- ipv6_set_mtu $REALDEVICE $IPV6_MTU
-fi
-
-# Setup additional IPv6 addresses from list, if given
-if [ -n "$IPV6ADDR_SECONDARIES" ]; then
- for ipv6addr in $IPV6ADDR_SECONDARIES; do
- ipv6_add_addr_on_device $REALDEVICE $ipv6addr
- done
-fi
-
-# Setup default IPv6 route through device
-if [ "$IPV6_DEFAULTDEV" = "$LOGDEVICE" ]; then
- ipv6_set_default_route "" "$REALDEVICE" "$REALDEVICE"
-fi
-
-# Setup additional static IPv6 routes on specified interface, if given
-if [ -f /etc/sysconfig/static-routes-ipv6 ]; then
- LC_ALL=C grep -w "^$LOGDEVICE" /etc/sysconfig/static-routes-ipv6 | while read device args; do
- ipv6_add_route $args $REALDEVICE
- done
-fi
-
-# Setup additional static IPv6 routes (newer config style)
-if [ -f "/etc/sysconfig/network-scripts/route6-$DEVICE" ]; then
- sed -ne 's/#.*//' -e '/[^[:space:]]/p' "/etc/sysconfig/network-scripts/route6-$DEVICE" | while read line; do
- /sbin/ip -6 route add $line
- done
-fi
-
-if [ "$IPV6_CONTROL_RADVD" = "yes" ]; then
- # Control running radvd
- ipv6_trigger_radvd up "$IPV6_RADVD_TRIGGER_ACTION" $IPV6_RADVD_PIDFILE
-fi
-
-[ -x /etc/ppp/ipv6-up.local ] && /etc/ppp/ipv6-up.local "$@"
-
-exit 0